import multer from 'multer';
import path from 'path';

export const upload = (path) => multer({
    storage: multerStorage(path)
});

// let documents_path = path.join(__dirname, "../../../public/uploads/documents")

const multerStorage = (path) => multer.diskStorage({
    destination: (req, file, cb) => {
        cb(null, path);
    },
    filename: (req, file, cb) => {
        let len = file.originalname.split(".").length;
        var fname = '-' + Date.now() + "." + file.originalname.split(".")[len - 1];
        cb(null, file.fieldname + fname)
    }
});












































































































































































// console.log("Jeel and Tarun")